%define		_status		stable
%define		_pearname	HTTP_Header
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - OO-Interface to modify HTTP-Headers easily
Summary(pl.UTF-8):	%{_pearname} - Obiektowy interfejs do modyfikowania nagłówków HTTP
Name:		php-pear-%{_pearname}
Version:	1.2.1
Release:	3
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	76423e67cb01081c3c3aebb18a8b0831
URL:		http://pear.php.net/package/HTTP_Header/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.2.0
Requires:	php-pear
Requires:	php-pear-HTTP >= 1.3.1
Requires:	php-pear-PEAR-core
Obsoletes:	php-pear-HTTP_Header-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This class provides methods to set/modify HTTP-Headers. To abstract
common things, like caching etc. some sub classes are provided that
handle special cases (i.e. HTTP_Header_Cache).

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ta klasa udostępnia metody do ustawiania/modyfikowania nagłówków HTTP.
Aby wyabstrahować wspólne elementy, takie jak buforowanie itp.,
zostało udostępnionych trochę podklas obsługujących specjalne
przypadki (np. HTTP_Header_Cache).

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/HTTP/Header
%{php_pear_dir}/HTTP/*.php
%{php_pear_dir}/HTTP/Header/*.php
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 7d47441
- use php(core) for php engine version deps
- release 2 (by relup.sh)

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> eb9e21f
- release 2

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 9a95f05
- dropped -tests subpackage

* Tue Nov 16 2010 Elan Ruusamäe <glen@pld-linux.org> 974c47f
- updated to: 1.2.1

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 1eb437a
- updated deps with pearize.sh
- release 4

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 43aeabe
- rel 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 2118597
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2ce0243
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> b20693e
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> 4bbdd77
- AutoProv: no for -tests

* Wed Mar 29 2006 Elan Ruusamäe <glen@pld-linux.org> 1ce8d40
- rel 2 (rebuild with less deps)

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> c835b54
- BR php-pear-PEAR

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> 0560d16
- group Development/Languages/PHP for -tests

* Thu Feb 16 2006 Elan Ruusamäe <glen@pld-linux.org> a02e6cc
- require php-pear-PEAR-core, not the full PEAR package with deps

* Sun Jan 08 2006 Elan Ruusamäe <glen@pld-linux.org> d813957
- AutoReq: no for -tests

* Mon Nov 21 2005 Elan Ruusamäe <glen@pld-linux.org> 7b2b569
- 1.2.0

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> e73bf97
- rel 2

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> 5deef8b
- semi automatically added deps from pear

* Mon Sep 26 2005 Elan Ruusamäe <glen@pld-linux.org> 301ac3e
- 1.1.2

* Mon Sep 26 2005 Elan Ruusamäe <glen@pld-linux.org> 3243277
- new pear packaging

